Deconz conbee 2 - Impossible de démarrer le démon

Tags: #<Tag:0x00007f283718ed48>

Bonjour,

Je viens de recevoir ma conbee2 et j’ai acheté le plugin deconz pour pouvoir utiliser ms xiaomi notamment dans mon jeedom.
L’installation du plugin s’est bien passé et les dépendances ont le statut Ok mais celui du démon est NOK.
Voici ce que j’obtiens dans les logs quand j’essaie de lancer le démon:

[2020-02-15 15:25:03][ERROR] : Attention je pense qu'il y a un soucis avec le démon que j'ai relancé plus de 3 fois consecutivement
[2020-02-15 15:25:06][INFO] : Lancement démon deconz : /usr/bin/python3 /var/www/html/plugins/deconz/resources/deconzd/deconzd.py --loglevel debug --socketport 55088 --callback http://127.0.0.1:80/plugins/deconz/core/php/jeeDeconz.php --apikey 4fTMH3wwGaZgD00YvOMgtNMb97l5uhgX --cycle 0 --pid /tmp/jeedom/deconz/deamon.pid
Traceback (most recent call last):
  File "/var/www/html/plugins/deconz/resources/deconzd/deconzd.py", line 32, in <module>
    from websocket import create_connection
  File "/usr/local/lib/python3.4/dist-packages/websocket/__init__.py", line 23, in <module>
    from ._app import WebSocketApp
  File "/usr/local/lib/python3.4/dist-packages/websocket/_app.py", line 36, in <module>
    from ._core import WebSocket, getdefaulttimeout
  File "/usr/local/lib/python3.4/dist-packages/websocket/_core.py", line 34, in <module>
    from ._handshake import *
  File "/usr/local/lib/python3.4/dist-packages/websocket/_handshake.py", line 43, in <module>
    from http import HTTPStatus
ImportError: cannot import name 'HTTPStatus'
[2020-02-15 15:25:36][ERROR] : Impossible de lancer le démon deconz, vérifiez le port

Est-ce que quelqu’un aurait une suggestion?

Merci d’avance.

Bonjour,
Es-tu sûr d’avoir correctement initialisé le plugin Deconz?
Initialisé clé API, port, … et relancé les dépendances.

ImportError: cannot import name 'HTTPStatus'

Tu as quoi comme version de python, de ton OS ?
C’est quand la derniere fois que tu as tout mit a jour ?

J’ai suivi les instructions d’installation du plugin. Par contre je ne peux pas saisir la clé API, le champs est grisé.
Quand aux dépendances, je les ai lancées plusieurs fois.

Mon OS: Linux raspberrypi 4.19.102-v7+ #1295 SMP Thu Feb 6 15:43:59 GMT 2020 armv7l GNU/Linux
Python: V 2.7.9

Mon jeedom et les plugins sont mis à jour régulièrement aussi.

J’ai essayé de réinstaller le plugin et les dépendances, les logs de deconz-install disent “Installation terminée”, ensuite quand je clique sur le bouton pour initialiser ma clé API, j’ai bien une page qui s’ouvre dans le navigateur avec l’url de ma rasp et le port 8484 mais elle n’aboutit pas.

J’en suis donc toujours au même point.

Dans ton navigateur, entre http://phoscon.de/app et dis moi ce que ça donne.

Recherche de gateway… et rien. Page blanche.

Alors tape phoscon.de et va à application

Dis-moi, petite question, ta clé est-elle directement sur ton RPI ou sur hub autoalimenté ?

Directement sur ma rasp

Et imagine que tu as un SSD.

Non, pas de SSD, ma rasp et une carte SD

Alors 2 conseils, installe un hub USB autoalimenté sur ton RPI et branche tes clés dessus. Ça te permettra d’éviter des problèmes, peut-être même celui-ci.
Ensuite installe Jeedom sur SSD. La fiabilité des cartes SD est déplorable, tu risques de perdre ta machine à tout moment

Ha oui super donc en gros refaire toute mon install sans garantie que ça fonctionne au final…

Je suis ravie >_<

Merci pour tes conseils.

Ben deja ta version de python n’est pas a jour.
Tu as essayé

sudo apt-get update
sudo apt-get dist-upgrade

Avant de tester les problemes materiel, corriges les problemes logiciel. Si ça se trouve, même l’installation a été mal faite, suite a un probleme de fichier pas a jour.

Je viens de le refaire et il ne se passe rien de plus…

0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

Mais j’ai vu oui que ma version de python semble ancienne

Et tu as toujours ce message d’erreur ?

Oui, je l’avais déjà avant.
Je vais essayer de faire une maj de python.

Au point où j’en suis…